Subject: Re: bug#5721: Feature request: Function that returns absolute coordinates

From: Jan Djärv <[email-masked]>
Date: Fri, 16 Jul 2010 08:39:28 +0200

YAMAMOTO Mitsuharu skrev 2010-07-16 02.25:
>>>>>> On Thu, 15 Jul 2010 12:32:54 +0200, Jan Djärv<[email-masked]>  said:
>
>>>> Placing frames based on the position of another frame is the only
>>>> operation I can think of that uses coordinates from one frame and
>>>> applies it to another.
>>>
>>> And you introduce yet another special function for that purpose?
>
>> I don't know what you mean by "yet another".  I already purposed
>> functions for frame placement by unscaled coords.  Why is that such
>> a burdon, but introducing a whole series of parallel functions like
>> pos-x-y et.al isn't?
>
> Neither the frame placement function nor
> window-(inside-)absolute-pixel-edges is necessary if we use the
> absolute unscaled coordinate system and introduce a function parallel
> to pos-x-y, which is anyway necessary for external programs' use.

How do you find the difference between inner and outer window edges with such 
a function?

	Jan D.